Translation outreach: User guides on MediaWiki.org
Closed, ResolvedPublic

Description

Description

The Wikimedia movement has a lot of technical user guides and other technical documentation in English, relevant for users of all languages, hosted on MediaWiki.org. This is usually translatable and rarely translated, at least not into more than a few languages, leaving many Wikimedians without documentation of their software in languages they can comfortably read. The Wikimedia movement is a volunteer movement: we edit and translate (and to a fairly large degree, do technical development and technical documentation) in our spare time, but the roads to becoming a translator are difficult to find, and it's difficult to get engaged in the movement as a translator rather than as a an editor who sooner or later ends up helping out with translation.

Tasks

  • Identify places and communities where it'd make sense to reach out to potential translators
  • Identify ways to do it
  • Test them
  • Make sure someone else can continue the work

Helpful links
Introduction to Wikimedia translations
Short introduction for translators who are new to the Wikimedia movement
Translation strategy

Skills: Localization of technical documentation.

Estimated project time for a contributor: 3 weeks

Microtask T158564

Primary mentor: @Johan
Co-mentor: @Trizek-WMF

Johan created this task.Feb 16 2017, 10:57 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 16 2017, 10:57 AM

Some background is available in T121197 with subtasks for anyone who's interested. It gives some context but is not necessary reading.

@Johan and @Trizek-WMF, Thanks for volunteering to mentor this task. Can you add this information to the task description also?

Microtasks: (links to Phabricator tasks that must be completed in order to become a strong candidate)

Johan added a comment.Feb 16 2017, 8:44 PM

@Miriya52: Roughly how long should I estimate the necessary time to finish a suitable microtask to be, and how many do you need?

Miriya52 added a comment.EditedFeb 17 2017, 12:45 AM

@Johan For Outreachy, we suggest that applicants fix a small bug (See Make a small contribution).

For this project, it seems that they will be scoping out how they would implement the plan during the internship timeline. Is there a small concrete task for applicants that can demonstrate their commitment and ability to complete this project? Perhaps writing some documentation? For time estimate, I would say no more than one week, including some feedback from you. Sometimes, potential interns don't find out about this program until late in the application cycle. So I would say something they could complete over a dedicated weekend (or 2 days).

Also, may be helpful to think of a couple microtasks for them to choose from, or if there are multiple applicants.

Thanks!

@Johan @Trizek-WMF I am an interested Outreachy participant and very excited to work on this project. What do you think my first contribution should be- fixing a bug? I think one way of reaching out to potential translators would be collaborating with universities to offer translating projects for credits to students. A student can be supervised by a professor and a mentor from Wikimedia.

Hello, I will be pointing the APG organizations to this task. There are a few of them who already collaborate with translation schools for example, so this might be an interesting task for them to take up.

Johan added a comment.Feb 17 2017, 9:23 PM

@Tanuja-Sawant: Yes, trying to engage students have been one of the main things I've been thinking about as well. Very happy you're interested.

@Miriya52, @Tanuja-Sawant Will add something early next week.

@Miriya52, @Tanuja-Sawant I think T158564 would be a good microtask, to show one is familiar with or to get familiar with the tool we use for documentation translation, in order to be able to do proper outreach around it.

@Johan Thanks! That seems to be an interesting task.

jhsoby added a subscriber: jhsoby.Feb 23 2017, 7:42 AM
Johan added a comment.Feb 24 2017, 6:01 PM

Anyone who want guidance in a format that's unsuited for a Phab task (for example if you have any questions on how to use the translation tools) can contact me directly, by the way. Either write on my talk page or send me an email.

Hi @Johan and @Trizek-WMF, I hope it's not too late to express my interest in working on this project as part of the Outreachy programme. I'm a tech writer and translator (bilingual in English and Croatian, fluent in Swedish) passionate about promoting free and open source projects among people who don't necessarily have a STEM background.

In light of that, my idea for this project would be to develop an organizational framework or a set of guidelines that would enable local FOSS groups and communities to organize translation sprints as a way of attracting and including individuals who want to contribute to an open source project, but have no coding skills. A step further might be to contact tech-related conferences, but also t9n and l10n events, and provide them with guidelines/mentorship in organizing a group translation effort - basically, a translation equivalent of a hackathon.

I have a few more ideas, but I'm not sure if I'm thinking in the right direction with this, so any feedback would be greatly appreciated. As for the microtasks, would it be OK if I started translating a page right away, or does it have to be specifically assigned to me by someone else?

Thanks!

Johan added a comment.Feb 28 2017, 5:01 PM

Hi!

Anyone is always free to just start translating pages right away on Wikimedia wikis, so, please go ahead. (:

Will do. :) Thanks a lot!

Would it make sense to incorporate T121500: Unify product documentation for users to make it easier to share, translate and edit (or at least parts of it) into this project?
Potential translators who are non-Wikimedians would need some introductory resources that are easy to share and digest - this aligns with short-term goals listed on the Translation strategy page:

  • Write down information to help non-Wikimedians get into Wikimedia translations
  • Collect the translation information that's spread out across the movement

Is this something that I could do, or is it more suitable for a long-term contributor and not someone who literally just joined the project?

Thanks! (and sorry if I'm asking dumb questions)

Nuwi added a subscriber: Nuwi.Mar 6 2017, 10:43 AM
Nuwi added a comment.Mar 6 2017, 10:55 AM

Hi @Johan @Trizek-WMF . I found this project very interesting when I ran through the projects which have been approved for the Outreachy program. This finds me well because I have previous experience in Localization where I contributed to the Mozilla foundation with localizing some web pages which includes technical details. As well I strongly believe that I have the enough knowledge and enthusiasm towards completing the task of translating the technical guides. I'm an open source project lover and I applied for the Rails Girls Summer of Code as well. I'm a blogger at Google Developer Group Sri Lanka as well where I have learned lot of technical stuff and documentation experience as well.

To begin with are there any special cases where I can contribute to the translations ?

I am eagerly waiting to work for this project. :)

Johan added a comment.Mar 7 2017, 1:22 PM

@Ivana_Isadora I think it could very well be incorporated into this project, and I don't see why someone new wouldn't be able to do it as long as they have support from someone who's been along for a while – which includes both mentors. (: (Ping @Trizek-WMF – comments?)

@Nuwi Glad to hear you're interested! We have enough documentation that could be translated that it's difficult to point to specific pages in general – I suggested a few pages in T158564 but those were just things that immediately came to my mind, so that anyone who's interested in this can show familiarity with the tools we use, or get familiar with them.

@Ivana_Isadora I think it could very well be incorporated into this project, and I don't see why someone new wouldn't be able to do it as long as they have support from someone who's been along for a while – which includes both mentors. (: (Ping @Trizek-WMF – comments?)

T121500 is definitely related. The user guides as defined in this task are a big step forward to help translators.

Johan added a comment.Mar 17 2017, 3:07 PM

As interested potential interns have occasionally emailed me: I will be unavailable during the next week, and properly back on Monday March 28. If you have any urgent questions in the meantime, ask @Trizek-WMF. I will respond on March 28, a couple of days prior to the formal application deadline.

Hi @Trizek-WMF and @Johan, I just wanted to inform you that I won't be able to participate in Outreachy after all. It turns out I'll be employed during the summer, so I don't think I'd be able to properly fulfill my duties related to the project. I thought it would be appropriate to let you know since I've asked about participating here.

Don't worry, I will still contribute to Wikimedia as a translator whenever I have time :), and I'd love to work on some other tasks here. If there are any particular (non-coding) tasks that you need help with ASAP, let me know and I'll see if I can help.

Thanks for giving me a chance anyway, and good luck to all Outreachy applicants! :)

Hi @Trizek-WMF and @Johan, I just wanted to inform you that I won't be able to participate in Outreachy after all. It turns out I'll be employed during the summer, so I don't think I'd be able to properly fulfill my duties related to the project. I thought it would be appropriate to let you know since I've asked about participating here.

Don't worry, I will still contribute to Wikimedia as a translator whenever I have time :), and I'd love to work on some other tasks here. If there are any particular (non-coding) tasks that you need help with ASAP, let me know and I'll see if I can help.

Thanks for giving me a chance anyway, and good luck to all Outreachy applicants! :)

Thank you for this notice, @Ivana_Isadora, and good luck for you summer job! :) You will be welcome anytime to for on the multiple tasks we have concerning translations and more!

Now that the deadline is fast approaching, I'd like to remind everyone that they a) need to formally apply through the Outreachy system and b) show some basic familiarity with the tools we use (see T158564. Looking forward to your applications. (:

Elitre added a subscriber: Elitre.Aug 29 2017, 8:46 AM
srishakatux updated the task description. (Show Details)Aug 29 2017, 10:04 AM
contraexemplo added a subscriber: contraexemplo.EditedSep 11 2017, 11:46 AM

Hello, I'm Anna and I've come across this page because I'm interested on applying to this project through Outreachy's Round 15. I'm familiar with FOSS for a couple of years now and I've engaged in community events like the Festival Latinoamericano de Instalação de Software Livre (Flisol). I'm a visually impaired mechanical engineering undergraduate but I'm planning to switch to software engineering soon. Meanwhile, I've been taking less credits than average and started to contribute to open-source projects.

My greatest contribution is the PT-BR l10n work on Mastodon, a fairly new decentralized and federated microblogging plataform. It's free, it's open-sourced, it's great. I'm voluntarily taking care of this task as I'm a pretty happy user of it and I must say I'm really loving to get involved with this type of work.

One of the things I've been thinking about is how scary FOSS looks like to long time users of proprietary software and how this scares potential contributors. At my university there's a lot of undergrads who would love to get involved with l10n but FOSS is not exactly popular outside specific groups here in Brazil. I think the FOSS community as a whole should be approaching this kind of person and showing them the benefits of being an user and a contributor. A lot of these people are also worried about extracurricular activities since we're required to meet a pre-determined amount of hours of those so what about making a contribution program where volunteers receive a certificate for their work?

I'm going to start working on the pages you suggested as a starting point this week. Meanwhile, I'll make sure I stay in touch with you all. You seem to be really great to work with and I'm looking forward to do this.

Glad to hear you're interested, Anna.

Hi! I am Shivangi. I am interested in applying for Outreachy's Round 15. I have translated a app for Open Source project before also.

@Johan and @Trizek-WMF I would like to know what microtasks I should carry on with. Shall I start with T158296 ?

Thanks!

@Johan I was watching Duolingo -- the next chapter in human computation and I find the strategy they are using to helping translate the web is really great.

I would like to know if something similar is being applied by wikimedia or is there any scope of applying it?

I think it could be paired up with another Wikimedia outreach project T158909 where aim is to create reCaptcha so that we can prevent the bots to access content.

If something like that is already being implemented I would like to know that, otherwise I would like to discuss the idea.

Thanks :)

@Shivangi95 I'll put that video on things to watch – difficult to answer your question without having seen it. (: Feel free to ping me if I don't get back to you regarding this.

contraexemplo added a comment.EditedSep 15 2017, 6:15 PM

Hello. I've been doing some research and interviewing people from different educational backgrounds and it seems that most people are willing to do volunteering work in exchange of a certificate of some kind or a great way to expose their work abilities. However, they are not really familiarized with the concepts of free software or open-source software, open access and don't know how those projects sustain themselves. I'm going to keep spreading my form out there and getting more answers, but I already have some great ideas. :)

Also, I was beginning to fill my application form some days ago and I had some questions about the last question. When should we approach you to discuss the timeline of the work? Do you have a preference about which mean of communication is more appropriate for that discussion? Also, I'm almost finishing microtask T158564. What are other valuable contributions I could make?

Hello all. I want to apply for Outreachy round with this project. Which microtask should I start with. Thank you for your help. :)

@contraexemplo If we're talking about personal timelines, you can send an email and include both me and @Trizek-WMF. You can find our email addresses here:
https://meta.wikimedia.org/wiki/User:Johan_(WMF)
https://meta.wikimedia.org/wiki/User:Trizek_(WMF)

As for other contributions, a few examples:
https://www.mediawiki.org/wiki/Help:Login_notifications
https://www.mediawiki.org/wiki/Help:CirrusSearch (very long)
Pages linked to in the list here: https://www.mediawiki.org/wiki/Help:Contents

You could also sign up for the Wikimedia translators list!
https://lists.wikimedia.org/mailman/listinfo/translators-l

@Happytrodder Glad you're interested in the project. Please check out T158564 to familiarize yourself with the tools.

@Johan I just thought to get back to you about my previous message.

@Shivangi95 OK, I've finally had time to see the video. I'll respond with reflections later today.

There was a question about timeline further up. It's difficult to say exact dates, of course, and to some degree I think this should be decided between the intern and the mentors. Internship is between December 5 and March 5. Assuming your time can be spent evenly throughout these months, something very roughly like this:

First week:
Reading up and understanding: Getting to know the project, what’s been done before, what can be done, what are our limitations, what’s realistic. This is important. Of course you’re already getting to know the project, understanding our limitations and so on, since you should be doing small contributions already, but let's make sure we have a shared understanding of what we're dealing with.

Next three weeks:
Building a strategy: What’s to be done. Where to reach out and how?

This could include talking to some people for suggestions, but in large parts of the world, late December and early January are impossible for outreach as Christmas and New Year’s Eve get in the way and @Trizek-WMF and I will be somewhat less available as well.

Next month:
Initial outreach. Trying to engage communities and places. Is it working?

Next month:
Continuous outreach work at the same time as we’re analysing what we’ve done so far. What’s working and what’s not? Documentation. Change, if necessary.

@Shivangi95 So, regarding Duolingo and their ambition to translate the web: It was more difficult than they had anticipated to integrate this with the surrounding world. They mention Wikipedia, yet integration with Wikipedia was never really achieved, and Duolingo has discontinued their translation project. It was a nice vision. Harder to implement.

https://www.mediawiki.org/wiki/Extension:ConfirmEdit#ReCaptcha writes a bit about ReCaptcha and the Wikimedia wikis.

@Johan Thanks for getting back to me and also for timeline. I see your point. After bit of thinking I feel ReCaptcha would not be of help for our task.

I see in To do in the short term there is priority of creating glossary, could you please elaborate that? And are there any additions to the list?

Thanks :)

Johan added a comment.Sep 22 2017, 9:06 PM

Short term might be a bit optimistic for that. We could really use a glossary. But it's no small task.

Hello ! I am Ankita and am interested in applying for Outreachy's round 15.

@Johan and @Trizek-WMF ,I would like to know what microtasks i should carry for this project ? Thanks for the help !

Johan added a comment.EditedSep 24 2017, 12:58 AM

Hi @Ankita0000! Glad you're interested!

For microtasks, see T158564.

@Shivangi95, re: Duolingo, there is a project to use Telegram to translate languages elements that are stored on TranslateWiki. Basically, you discuss with a bot and your replies are interface translations. See T133060 for more information.

@Trizek-WMF, Thanks for pointing out :)

This comment was removed by JamieTubers.
Johan added a comment.Sep 30 2017, 9:21 PM

@JamieTubers Sure, that's a good way to show a little bit more familiarity with the tools and context. (:

srishakatux added a subscriber: srishakatux.EditedOct 4 2017, 10:19 PM

This message is for candidates considering to apply to the Outreachy program:

Just making sure that you already know:

  • Deadline for submitting applications is October 23rd. It's good to start working on the application 2-3 weeks before the deadline, that way you might be able to get feedback from your mentors.
  • If you have already completed a microtask, communicated with your mentor about the next steps, and now thinking of working on your application then here is what I recommend:
    • Make sure you've checked whether or not you meet the eligibility criteria listed here https://www.outreachy.org/apply/eligibility/
    • When you start working on the application on the Outreachy program website, fill out the eligibility information first, even if you don't know yet what content should go in other parts of the application. That will allow Outreachy organizers to verify (see point 3 under "How to Apply" section https://www.outreachy.org/apply/).
    • As, you might know that Wikimedia requires you to submit your proposal on Phabricator. Make sure you are well aware of the process to do so (point number 9 under "Application Process Steps" here https://www.mediawiki.org/wiki/Outreachy/Participants).

If you have any questions about the application process, please ask! Good luck working on your applications! :)

Quiddity added a subscriber: Quiddity.
Johan closed this task as Resolved.Jun 28 2018, 9:36 PM
Johan claimed this task.

This Outreachy project is finished.

Restricted Application added a project: User-Johan. · View Herald TranscriptJun 28 2018, 9:36 PM
Johan moved this task from Backlog to Archive on the User-Johan board.Jul 22 2018, 2:26 AM